// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: api/xdcd.proto

package xdcd

import (
	fmt "fmt"
	math "math"
	proto "github.com/golang/protobuf/proto"
	_ "gitlab.com/mergetb/portal/services/api"
	github_com_mwitkow_go_proto_validators "github.com/mwitkow/go-proto-validators"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

func (this *ClearTunnelDataRequest) Validate() error {
	return nil
}
func (this *ClearTunnelDataResponse) Validate() error {
	return nil
}
func (this *AddUsersRequest) Validate() error {
	for _, item := range this.Users {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Users", err)
			}
		}
	}
	return nil
}
func (this *AddUsersResponse) Validate() error {
	return nil
}
func (this *DeleteUsersRequest) Validate() error {
	for _, item := range this.Users {
		if item != nil {
			if err := github_com_mwitkow_go_proto_validators.CallValidatorIfExists(item); err != nil {
				return github_com_mwitkow_go_proto_validators.FieldError("Users", err)
			}
		}
	}
	return nil
}
func (this *DeleteUsersResponse) Validate() error {
	return nil
}
func (this *InitHostRequest) Validate() error {
	return nil
}
func (this *InitHostResponse) Validate() error {
	return nil
}
